using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StorageContracts
{
    public interface ISupplyStorage
    {
        List<SupplyViewModel> GetFullList();
        List<SupplyViewModel> GetFilteredList(SupplySearchModel model);
        SupplyViewModel? GetElement(SupplySearchModel model);
        bool? Insert(SupplyBindingModel model);
        bool? Update(SupplyBindingModel model);
        SupplyViewModel? Delete(SupplyBindingModel model);
    }
}
